summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-misc/gpligc/ChangeLog3
-rw-r--r--app-misc/gpligc/Manifest4
-rw-r--r--app-misc/gpligc/gpligc-1.6.ebuild10
3 files changed, 15 insertions, 2 deletions
diff --git a/app-misc/gpligc/ChangeLog b/app-misc/gpligc/ChangeLog
index 1a89ee29c..3e1538e2c 100644
--- a/app-misc/gpligc/ChangeLog
+++ b/app-misc/gpligc/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 04 Nov 2008; Srebrodolskite <Hannes.Krueger@uibk.ac.at> gpligc-1.6.ebuild:
+ some sed's to the source add gcc-4.3 compliance
+
23 Oct 2008; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
gpligc-1.6.ebuild:
Fix header + comment
diff --git a/app-misc/gpligc/Manifest b/app-misc/gpligc/Manifest
index 5111f6f80..7a42a287b 100644
--- a/app-misc/gpligc/Manifest
+++ b/app-misc/gpligc/Manifest
@@ -1,4 +1,4 @@
DIST GPLIGC-1.6-src.tar.gz 1057195 RMD160 8689fedd61fb3c5a6a132dc4be6e2a4c6c81404e SHA1 9451a95e017d8e659e4f12cd546c43e7cfb76551 SHA256 363ec1dfd93f3af70674dd0fe41b482f8334c8fe0efde4f0aaf699fc5526af7e
-EBUILD gpligc-1.6.ebuild 2333 RMD160 f7f966099a08afb10bd103e0da29d79305125879 SHA1 3155965a725485d30ef718cf57df79640470e710 SHA256 4beedfe72faaaed9ca0cb7a6b6017901e9293373e452b902d2964d6a02d73045
-MISC ChangeLog 665 RMD160 a5128c6db5bd6588df069bb6fa1d8781317eaa3f SHA1 505c06f9bf18ff3a27136220bd6e725b7d4b07d7 SHA256 2be0a82023eae4baa5cce6570da1f884579fae2193e6805ed816c4904b03d9d7
+EBUILD gpligc-1.6.ebuild 2833 RMD160 3aa9e72eb9283a9e871047e27973a3cdcbfb0905 SHA1 548339976d4688017b5b7566b8c7dc685e8d2472 SHA256 5b1073a7e4a5c3707ac807285fa3af8ca49b4a728c33337e21f6fe45f13262da
+MISC ChangeLog 794 RMD160 954427f82375e82bfedb016bf951d75d87b1c832 SHA1 275e906bcb9cb0fc0f15d2b7544e9e6298c2564f SHA256 db42670dc4f769aba3749f45e22c160dbba491985263a2daf6929bbfdcb71026
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/app-misc/gpligc/gpligc-1.6.ebuild b/app-misc/gpligc/gpligc-1.6.ebuild
index 3bea99fce..7222725b1 100644
--- a/app-misc/gpligc/gpligc-1.6.ebuild
+++ b/app-misc/gpligc/gpligc-1.6.ebuild
@@ -33,6 +33,16 @@ src_compile() {
emake CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" || die "Build failed"
}
+# src_unpack is needed to apply some minor patched (for gcc-4.3). This will not be needed for >1.6
+src_unpack() {
+ unpack ${A}
+ cd "${S}"/openGLIGCexplorer
+ sed -i -e '23a\#include <cstdlib>' createworlddem.cpp || die "sed failed"
+ sed -i -e '30a\#include <cstring>' -e '30a\#include <cstdlib>' etopo2merger.cpp || die "sed failed"
+ sed -i -e '23a\#include <cstring>' -e '23a\#include <cstdlib>' merger.cpp || die "sed failed"
+ sed -i -e 's:<string>:<cstring>:g' optimizer.cpp || die "sed failed"
+}
+
src_install() {
# create openGLIGCexplorer data dirs
keepdir /usr/share/${PN}/data/map